> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capitalcheckin.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload import template

> Upload Excel file with collaborator data for bulk import



## OpenAPI

````yaml post /v1/collaborators/import-excel
openapi: 3.1.0
info:
  title: Capital Check In API
  description: >-
    API for the Capital Check In platform - Employee check-in management system
    with identity verification, geolocation, and schedule management
  license:
    name: MIT
  version: 1.0.0
  contact:
    name: Capital Check In Support
    email: hi@capitalcheckin.app
    url: https://capitalcheckin.app
servers:
  - url: https://api.capitalcheckin.app
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/collaborators/import-excel:
    post:
      tags:
        - Collaborators
      summary: Upload import template
      description: Upload Excel file with collaborator data for bulk import
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                  description: Excel file with collaborator data
      responses:
        '200':
          description: Import results
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    ImportResponse:
      type: object
      properties:
        message:
          type: string
          description: Import result message
        total_rows:
          type: integer
          description: Total number of rows in the file
        valid_rows:
          type: integer
          description: Number of valid rows
        invalid_rows:
          type: integer
          description: Number of invalid rows
        preview:
          type: array
          items:
            $ref: '#/components/schemas/CollaboratorCreateRequest'
          description: Preview of the data to be imported
    CollaboratorCreateRequest:
      type: object
      required:
        - name
        - email
        - position
        - department
      properties:
        name:
          type: string
          minLength: 2
          description: Full name of the collaborator
        email:
          type: string
          format: email
          description: Email address (must be unique)
        phone:
          type: string
          description: Phone number
        position:
          type: string
          description: Job position or title
        department:
          type: string
          description: Department or team
        hire_date:
          type: string
          format: date
          description: Date when collaborator was hired
        salary:
          type: number
          description: Annual salary
        manager_id:
          type: string
          description: ID of the manager
        work_schedule:
          type: string
          description: Work schedule (full-time, part-time, etc.)
        location:
          type: string
          description: Work location
        emergency_contact:
          type: object
          properties:
            name:
              type: string
              description: Emergency contact name
            phone:
              type: string
              description: Emergency contact phone
            relationship:
              type: string
              description: Relationship to collaborator
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: OAuth2
      description: OAuth2 access token for authentication

````